> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiserviceaccountsv1serviceaccounts



## OpenAPI

````yaml /api-specs/cloud/public-api.yaml get /api/serviceAccounts/v1/serviceAccounts
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: cloud
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: Extensions
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: PersonalAccessToken
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsCommits
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/serviceAccounts/v1/serviceAccounts:
    get:
      tags:
        - ServiceAccounts
      operationId: getServiceAccounts
      parameters:
        - $ref: '#/components/parameters/includeDeactivated'
        - $ref: '#/components/parameters/offset'
        - $ref: '#/components/parameters/limit'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedServiceAccountEnvelope'
          description: Lists the service accounts
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
components:
  parameters:
    includeDeactivated:
      description: >-
        indicates whether deactivated service accounts should be included in the
        response
      in: query
      name: includeDeactivated
      required: false
      schema:
        default: false
        type: boolean
    offset:
      description: How many from the start to skip. Defaults to 0.
      in: query
      name: offset
      required: false
      schema:
        type: integer
    limit:
      description: Max number to fetch. Defaults to 10.
      in: query
      name: limit
      required: false
      schema:
        type: integer
  schemas:
    PaginatedServiceAccountEnvelope:
      properties:
        metadata:
          $ref: '#/components/schemas/PaginatedMetadataV1'
        serviceAccounts:
          items:
            $ref: '#/components/schemas/ServiceAccount'
          type: array
      required:
        - serviceAccounts
        - metadata
      type: object
    PaginatedMetadataV1:
      allOf:
        - $ref: '#/components/schemas/MetadataV1'
        - $ref: '#/components/schemas/PaginationV1'
      required:
        - pagination
        - requestId
        - notices
    ServiceAccount:
      properties:
        email:
          description: >-
            the email that should receive notifications on behalf of the service
            account
          type: string
        id:
          description: the Domino id of the service account
          type: string
        idpId:
          description: the identity provider id of the service account
          type: string
        username:
          description: the username of the service account
          type: string
      required:
        - username
        - id
      type: object
    FailureEnvelopeV1:
      properties:
        errors:
          description: Errors that caused a request to fail
          items:
            type: string
          type: array
        requestId:
          description: Id used to correlate a request with server actions.
          example: bbd78579-93c4-45ee-a983-0d5c8da6d5b1
          type: string
      required:
        - requestId
        - errors
      type: object
    MetadataV1:
      properties:
        notices:
          description: Notices relating to the request
          items:
            type: string
          type: array
        requestId:
          type: string
      required:
        - requestId
        - notices
      type: object
    PaginationV1:
      properties:
        limit:
          description: Max number of objects returned
          type: integer
        offset:
          description: Number of object skipped forward from start of objects
          type: integer
        totalCount:
          description: Total number of available objects
          type: integer
      required:
        - offset
        - limit
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: >-
        The current user cannot perform this operation because they are not
        logged in
    '403':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: The current user is not authorized to perform this operation
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````